Page MenuHomeFreeBSD

devel/py-pytest-timeout: Update to 1.2.0
ClosedPublic

Authored by loader on May 11 2017, 4:23 AM.

Details

Summary

Proposed commit log message:

devel/py-pytest-timeout: Update to 1.2.0

- Add NO_ARCH
- Add regression test

Reviewed_by: koobs
Approved by: koobs (ports)
Differential_Revision: D10676
Test Plan
  • portlint: OK (WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.)
  • testport: OK (poudriere: 1200030, armv6, '', python2.7 tested)
  • unittest: OK (30 passed, 1 skipped)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

add USE_PYTHON=concurrent

loader edited the test plan for this revision. (Show Details)
loader retitled this revision from devel/py-pytest-timeout: update to 1.2.0 to devel/py-pytest-timeout: Update to 1.2.0.
koobs requested changes to this revision.Jun 20 2017, 10:54 AM
koobs added inline comments.
devel/py-pytest-timeout/Makefile
17 ↗(On Diff #29555)

As far as I'm aware, := can result in unintended *_DEPENDS values. It has been recommended in the past to just duplicate TEST_DEPENDS entries ala:

RUN_DEPENDS=        ${PYTHON_PKGNAMEPREFIX}pytest>=2.8.0:devel/py-pytest
​TEST_DEPENDS=       ${PYTHON_PKGNAMEPREFIX}pytest>=2.8.0:devel/py-pytest
23 ↗(On Diff #29555)

As far as I'm aware pytest correctly sets up the PYTHONPATH to be the directory within which the tests are run. Id look at why this is required (and try to remove it) as it may be indicative of incorrectly running/invoking the tests

This revision now requires changes to proceed.Jun 20 2017, 10:54 AM
loader edited edge metadata.
loader edited the summary of this revision. (Show Details)
loader edited the test plan for this revision. (Show Details)

duplicate TEST_DEPENDS

devel/py-pytest-timeout/Makefile
23 ↗(On Diff #29555)

It runs tests in new subprocesses like this, most of them will fail if the port is not installed yet. pytest tries to reads the entry points in ${PYTHON_SITELIBDIR} to load the plugins.

/usr/local/bin/python2.7 /usr/local/lib/python2.7/site-packages/pytest.py --basetemp=/tmp/pytest-of-root/pytest-1/testdir/test_fix_setup5/runpytest-0 --timeout=1 --timeout_method=thread

This revision is now accepted and ready to land.Jun 21 2017, 3:38 AM
loader edited edge metadata.

remove USE_PYTHON=concurrent

This revision now requires review to proceed.Jun 21 2017, 7:36 PM
This revision is now accepted and ready to land.Jun 23 2017, 12:02 AM
This revision was automatically updated to reflect the committed changes.